Subject: [bug#70178] Request for merging "mesa-updates" branch

From: Christopher Baines <[email-masked]>
Date: Thu, 04 Apr 2024 09:13:59 +0100

John Kehayias via Guix-patches via <[email-masked]> writes:

> I submitted a bunch of patches to mesa-updates a few days ago. From
> what I can tell things have gone well on x86_64, with most of the
> "new" failures listed are compared to previous mesa-updates and are
> ones broken on master too. A few failed from some time issue on hydra
> 128. And a few were legitimate failures which I have fixed. I'll go
> through again and make sure I didn't miss anything. I've been using
> this branch locally for a few things without issues so far.
>
> So...I'm guessing the main thing is to wait for non-x86 coverage. Is
> there a way to see that on Bordeaux? As always, please report any
> issues, but hopefully this will be good to go once builds are done.

The page on QA should show substitute availability [1]. It's probably
going to take a week, probably closer to two to get to a reasonable
level.

1: https://qa.guix.gnu.org/branch/mesa-updates